Subject: Re: [RFC PATCH] describe: Make --tags and --all match lightweight tags more often

From: Uwe Kleine-König <[email-masked]>
Date: Sun, 12 Oct 2008 20:29:13 +0200

On Fri, Oct 10, 2008 at 09:59:52AM -0700, Shawn O. Pearce wrote:
> If the caller supplies --tags they want the lightweight, unannotated
> tags to be searched for a match.  If a lightweight tag is closer
> in the history, it should be matched, even if an annotated tag is
> reachable further back in the commit chain.
> 
> The same applies with --all when matching any other type of ref.
> 
> Signed-off-by: Shawn O. Pearce <[email-masked]>
> ---
> 
>  This come out of the discussions earlier last week, where folks
>  were confused about the meaning of --tags and wanted to see it
>  behave as they expected, which was to match the nearest tag,
>  no matter its "type".
> 
>  The code is unchanged from what I sent out before, but now it has
>  updated test vectors and a commit message.
> 
>  Thoughts?
As I already told earlier, this is exactly how I would expect it.

>  static int debug;	/* Display lots of verbose info */
> -static int all;	/* Default to annotated tags only */
> -static int tags;	/* But allow any tags if --tags is specified */
> +static int all;	/* Any valid ref can be used */
> +static int tags;	/* Either lightweight or annotated tags */
Maybe the last comment should better read:

	/* allow lightweight tags */

?  Apart from this one nitpick:

Acked-By: Uwe Kleine-König <[email-masked]>

Thanks
Uwe